%define         gituser         jessek
%define         gitname         hashdeep
%global         commit          cd2ed7416685a5e83eb10bb659d6e9bec01244ae
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


Name:           md5deep
Version:        4.4
Release:        1%{?dist}
Summary:        A set of cross-platform tools to compute hashes
Group:          Applications/File
License:        GPLv2
URL:            http://md5deep.sf.net/
#Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  autoconf
BuildRequires:  automake

%description
This is md5deep, a set of cross-platform tools to compute hashes, or
message digests, for any number of files while optionally recursively
digging through the directory structure.  It can also take a list of known
hashes and display the filenames of input files whose hashes either do or
do not match any of the known hashes. This version supports MD5, SHA-1,
SHA-256, Tiger, and Whirlpool hashes.

%prep
%setup -q -n %{gitname}-%{commit}
autoreconf -vif

%build
export CFLAGS="-fPIE -pie ${RPM_OPT_FLAGS}"
export CXXFLAGS="-fPIE -pie ${RPM_OPT_FLAGS}"
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING ChangeLog AUTHORS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Sep 24 2014 Michal Ambroz <rebus AT seznam.cz> - 4.4-1
- new upstream version 4.4

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 07 2012 Paul Komkoff <i@stingr.net> - 4.3-1
- fix hash generation on big-endian systems

* Sun Sep 23 2012 Paul P. Komkoff Jr <i@stingr.net> - 4.2-1
- new upstream (bugfix) version
- - Fixed hashdeep bug for known files with commas in their names.
- - Cleaned up usage message
- - Fixed padding in Tiger hashes for large files

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 10 2012 Paul P. Komkoff Jr <i@stingr.net> - 4.1-1
- new upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Paul P. Komkoff Jr <i@stingr.net> - 3.9.2-1
- new upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 12 2010 Paul P. Komkoff Jr <i@stingr.net> - 3.6-1
- new upstream version

* Sun Oct 18 2009 Paul P. Komkoff Jr <i@stingr.net> - 3.4-1
- new upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug  1 2008 Paul P. Komkoff Jr <i@stingr.net> - 3.1-1
- new upstream version

* Fri Jul 18 2008 Paul P. Komkoff Jr <i@stingr.net> - 3.0-1
- new upstream version

* Sun Feb 24 2008 Paul P. Komkoff Jr <i@stingr.net> - 2.0.1-1
- initial rpm submission to Fedora
